Bug 398531 - Review Request: gfs-neohellenic-fonts - GFS Neohellenic fonts
Review Request: gfs-neohellenic-fonts - GFS Neohellenic fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 13:07 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 15:15:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 13:07:33 EST
Spec URL: http://nim.fedorapeople.org/gfs-neohellenic-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-neohellenic-fonts-20070415-1.fc9.src.rpm

Description:
The design of new Greek typefaces always followed the growing needs of the
Classical Studies in the major European Universities. Furthermore, by the end
of the 19th century bibliology had become an established section of Historical
Studies, and, as John Bowman commented, the prevailing attitude was that Greek
types should adhere to a lost idealized, yet undefined, greekness of yore.
Especially in Great Britain this tendency remained unchallenged in the first
decades of the 20th century, both by Richard Proctor, curator of the incunabula
section in the British Museum Library and his successor Victor Scholderer.

In 1927, Scholderer, on behalf of the Society for the Promotion of Greek
Studies, got involved in choosing and consulting the design and production of a
Greek type called New Hellenic cut by the Lanston Monotype Corporation. He
chose the revival of a round, and almost monoline type which had first appeared
in 1492 in the edition of Macrobius, ascribable to the printing shop of
Giovanni Rosso (Joannes Rubeus) in Venice. New Hellenic was the only successful
typeface in Great Britain after the introduction of Porson Greek well over a
century before. The type, since to 1930’s, was also well received in Greece,
albeit with a different design for Ksi and Omega.

GFS digitized the typeface (1993-1994) funded by the Athens Archeological
Society with the addition of a new set of epigraphical symbols. Later (2000)
more weights were added (italic, bold and bold italic) as well as a latin
version.
Comment 1 Parag AN(पराग) 2007-11-26 07:32:59 EST
gfs-neohellenic-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Parag AN(पराग) 2007-11-26 07:33:30 EST
Otherwise packaging looks ok to me.

APPROVED.
Comment 3 Nicolas Mailhot 2007-11-26 07:56:23 EST
New Package CVS Request
=======================
Package Name: gfs-neohellenic-fonts
Short Description: GFS Neohellenic fonts
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes
Comment 4 Nicolas Mailhot 2007-11-26 07:59:06 EST
On the rpmlint warning:

rpmlint wants to force you to put the version at the end of the first changelog
line, however the official approved Fedora changelog format list includes a
style where the version is not on this line
(http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs, 3rd style) so
rpmlint's warning is bogus
Comment 5 Kevin Fenzi 2007-11-26 12:59:55 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.